
#ifndef mosaic_mob_solid_hh
#define mosaic_mob_solid_hh

#include "mob_main.hh"

struct Mob_mirror : public Mob {
 private:
        Place* place_;
 public:
        Mob_mirror(Mobs& mobs, const itty::Box& box, Place*);
        bool update(Scene& sc);
        void render(Mobs& mobs);
};

struct Mob_crack : public Mob {
 private:
        Place* place_;
        MIX_Audio* sound_kill;
 public:
        Mob_crack(Mobs& mobs, const itty::Box& box, Place*);
        bool update(Scene& sc);
        void render(Mobs& mobs);
};

#endif // mosaic_mob_solid_hh
